% File: writeParticleIonSolutionVsTime.m
% Author: Dennis G. Thomas
% Created date: December 2013
% Last Modified: July 30, 2017

% Function to write out the simulation results for the number and
% concentration of particles and ions versus time.

function writeParticleIonSolutionVsTime(secondary_outputs,use_xlwrite,fname)

results_headers={'Time(hr)','error','LiquidMediaParticleNumber','CellDepositedParticleNumber',...
    'TotalParticleNumber','LiquidMediaParticleConc(ug/ml)',...
    'CellDepositedParticleConc(ug/ml)',...
    'LiquidMediaParticleMass(ug)','CellDepositedParticleMass(ug)',...
    'LiquidMediaParticleSurfArea(cm2)',...
    'CellDepositedParticleSurfArea(cm2)',...
    'LiquidMediaFreeIonConc(ug/ml)','LiquidMediaProteinBoundIonConc(ug/ml)',...
    'LiquidTotalIonConc(ug/ml)','CellIonConc(ug/ml)',...
    'LiquidMediaFreeIonMass(ug)','LiquidMediaProteinBoundIonMass(ug)',...
    'LiquidTotalIonMass(ug)','CellIonMass(ug)','totalConc(ug/ml)'};
results = [secondary_outputs.time_hr,secondary_outputs.errort,secondary_outputs.t_partNumL,...
    secondary_outputs.t_partNumC,secondary_outputs.t_partNumTot,...
    secondary_outputs.t_partConcL,secondary_outputs.t_partConcC,...
    secondary_outputs.t_partMassL,secondary_outputs.t_partMassC,...
    secondary_outputs.t_partSAL,secondary_outputs.t_partSAC,...
    secondary_outputs.t_ionConcFreeL,secondary_outputs.t_ionConcBndL,...
    secondary_outputs.t_ionConcTotL,secondary_outputs.t_ionConcC,...
    secondary_outputs.t_ionMassFreeL,secondary_outputs.t_ionMassBndL,...
    secondary_outputs.t_ionMassTotL,secondary_outputs.t_ionMassC,...
    secondary_outputs.t_totalConc];
results_cell = num2cell(results);
results_output = [results_headers;results_cell];  

if(strcmp(use_xlwrite,'yes')==1)
xlwrite([fname,'.xlsx'],results_output,'resultsVersusTime');
else
   xlswrite([fname,'.xlsx'],results_output,'resultsVersusTime'); 
    
end
